Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.util
Class DbSpace

    java.lang.Object
      com.sleepycat.je.util.DbSpace

    public class DbSpace

extends Object

DbSpace displays the disk space utilization for an environment.

     java com.sleepycat.je.util.DbSpace
              -h <dir># environment home directory
             [-q]     # quiet, print grand totals only
             [-u]     # sort by utilization
             [-d]     # dump file summary details
             [-r]     # recalculate utilization (reads entire log)
             [-V]     # print JE version number

Constructor Summary
`DbSpace(Environment env, boolean quiet, boolean details, boolean sorted)`
`DbSpace(com.sleepycat.je.dbi.EnvironmentImpl envImpl, boolean quiet, boolean details, boolean sorted)`

Method Summary
`static void` | `main(String[] argv)`
`void` | `print(PrintStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbSpace

    public DbSpace(Environment env,
                   boolean quiet,
                   boolean details,
                   boolean sorted)

### DbSpace

    public DbSpace(com.sleepycat.je.dbi.EnvironmentImpl envImpl,
                   boolean quiet,
                   boolean details,
                   boolean sorted)

Method Detail

### main

    public static void main(String[] argv)
                     throws DatabaseException

  Throws:
    `DatabaseException`

### print

    public void print(PrintStream out)
               throws IOException,
                      DatabaseException

  Throws:
    `IOException`
    `DatabaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.82
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.